//
// WeatherPi Lightning Sensor Block Extension
//
// SwitchDoc Labs 5/18/15
//
//

module sensorPylon()
{
    
    // tube
    
    difference()
    {
        union()
        {
            cylinder(120, r=12);
        
           // flanges
    
            translate([-15,-15,0])
            cube([30,30,2]);
        }
    
        translate([0,0,-10])
        cylinder(150, r=10.5);
        
        // screw holes
        translate([-12,-12,-5])   
        #cylinder(h=10,r=2.0,$fs=6);
        
         translate([-12,12,-5])   
        #cylinder(h=10,r=2.0,$fs=6);
        
         translate([12,12,-5])   
        #cylinder(h=10,r=2.0,$fs=6);
        
         translate([12,-12,-5])   
        #cylinder(h=10,r=2.0,$fs=6);
        
    }
    
    
   
    
    
    
    
}

module sensorBox()
{
    
    difference()
    {
        translate([-16.5,-16.5,0])
        cube([33,33,33]);
    
        translate([-15,-15,-2])
        cube([30,30,32]);
        
        translate([-15.5,-15.5,-1])
        cube([31,31,3]);
        
    }
    
    
}

module sensorPlatform()
{
    
    difference()
    {
        union()
        {
            translate([-15.45,-15.45,-1])
            cube([30.9,30.9,2]);
            
            translate([0,0,-5])
            #cylinder(5,r=10.4);
        }
        
        translate([0,0,-5])
        #cylinder(10,r=9.0); 
    }
    
    
}

/*
sensorPylon();

translate([0,0,180])
sensorBox();

translate([0,0,160])
sensorPlatform();
*/

translate([60,0,0])
sensorPylon();

rotate(180,[0,1,0])
{
translate([40,0,-32])
sensorBox();

translate([0,0,-1])
sensorPlatform();
}